Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: diald
Version: 0.99.4
Release: 2
Copyright: Freely distributable (see LICENSE)
Group: System Environment/Daemons
URL: http://diald.sourceforge.net/
Source0: http://download.sourceforge.net/diald/diald-%{version}.tar.gz
Source1: diald.init
Source2: diald.conf.sample
Source3: phone.filter
Source4: connect.diald
Patch0: diald-Makefile.patch
Patch1: diald-optflag.diff
Patch2: diald-route-0.99.4.patch
BuildRoot: /var/tmp/%{name}-root
Requires: ppp
#NoSource: 0

%description
Diald is a daemon that provides on demand IP links via SLIP or PPP. The
purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device which
stands in for the physical connection to a remote site. It then monitors the
proxy, waiting for packets to arrive. When interesting packets arrive it
will attempt to establish the physical link to the remote site using either
SLIP or PPP, and if it succeeds it will forward traffic from the proxy to
the physical link. As well, diald will monitor traffic once the physical
link is up, and when it has determined that the link is idle, the remote
connection is terminated. The criteria for bringing the link up and taking
it down are configurable at run time, and are based upon the type of traffic
passing over the link.

%prep
%setup -q -n diald
%patch0
%patch1
%patch2

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cp -p config/dynamic.filter $RPM_BUILD_ROOT/usr/lib/diald/
mkdir -p $RPM_BUILD_ROOT/etc/diald
mknod -m 0660 $RPM_BUILD_ROOT/etc/diald/diald.ctl p
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m755 $RPM_SOURCE_DIR/diald.init $RPM_BUILD_ROOT/etc/rc.d/init.d/diald 

for i in $RPM_BUILD_ROOT/usr/man/man[158]/* ; do
    gzip $i
done

# Source 2,3,4
cp -p $RPM_SOURCE_DIR/diald.conf.sample $RPM_BUILD_ROOT/etc/diald.conf 
cp -p $RPM_SOURCE_DIR/phone.filter $RPM_BUILD_ROOT/etc/diald 
cp -p $RPM_SOURCE_DIR/connect.diald $RPM_BUILD_ROOT/etc/diald/connect 

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add diald

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del diald
fi

%files
%defattr(-,root,root)
%doc BUGS CHANGES LICENSE NOTES README README.ethertap README.masq
%doc THANKS TODO TODO.budget
%doc doc/diald-faq.txt
%doc contrib
%config /etc/rc.d/init.d/diald
%config(noreplace) /etc/diald.conf
%config(noreplace) /etc/diald/connect
/etc/diald/diald.ctl
%config(noreplace) /etc/diald/phone.filter
/usr/bin/dctrl
/usr/lib/diald/connect
/usr/lib/diald/diald.defs
/usr/lib/diald/dlog.gif
/usr/lib/diald/down.gif
/usr/lib/diald/dstatus.gif
/usr/lib/diald/gload.gif
/usr/lib/diald/pqueue.gif
/usr/lib/diald/standard.filter
/usr/lib/diald/tload.gif
/usr/lib/diald/transfer.gif
/usr/lib/diald/up.gif
/usr/man/man1/dctrl.1.gz
/usr/man/man5/diald-control.5.gz
/usr/man/man5/diald-examples.5.gz
/usr/man/man5/diald-monitor.5.gz
/usr/man/man8/diald.8.gz
/usr/sbin/diald

%changelog
* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Fri Jan 05 2001 Damien Curtain <damien@pagefault.org>
- 0.99.4-2
- Fixed up man extensions so as to build with newer versions of rpm.
- Install now gzips the files and the file list includes the new
- extensions so both 3.x and 4.x versions of rpm will behave.

* Wed Mar 01 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- 0.99.4
- add contrib to docdir
- fix diald.init
* Fri Feb 18 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- handle RPM_OPT_FLAGS
- add noreplace to configutation files
* Fri Feb 11 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- added diald-twoway.diff(it fixes diald_won't_redial problem?)
- changed Group from Networking/Daemons to System Environment/Daemons
- enabled %post and %preun
* Fri Jan 28 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- freshen URL Source tags
* Fri Jan 14 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- 0.99.3
* Wed Dec 01 1999 Lisa Sagami <czs14350@nifty.ne.jp>
- build 0.99.2
- include diald.conf.sample
